Bug 77388 - Images, inserted in a table cell, go out of cell borders when the document (and thus the table) is zoomed.
Summary: Images, inserted in a table cell, go out of cell borders when the document (a...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Web-Layout
  Show dependency treegraph
 
Reported: 2014-04-13 08:05 UTC by Alex
Modified: 2021-04-12 03:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Images, inserted in a table cell, go out of cell borders when zoomed in (1.18 MB, application/vnd.oasis.opendocument.text)
2015-05-12 18:48 UTC, Alex
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex 2014-04-13 08:05:05 UTC
Images, inserted in a table cell, go out of cell borders when the document (and thus the table) is zoomed in (that is, when the zoom factor is incremented).

There is no option in the image property or in the cell property to deal this problem.


Thank You.
Comment 1 sophie 2014-04-23 13:25:49 UTC
Hi, I've inserted 3 images in different cells of a table, zoom until 440% and could not reproduce what you describe, cell border and images are still displayed correctly. Version 4.2.4.1 Ubuntu 14.04 - Sophie
Comment 2 Alex 2014-04-23 18:38:56 UTC
(In reply to comment #1)
> Hi, I've inserted 3 images in different cells of a table, zoom until 440%
> and could not reproduce what you describe, cell border and images are still
> displayed correctly. Version 4.2.4.1 Ubuntu 14.04 - Sophie


The bug happens only when You set "Layout Web" in the menù "Visualizza" (sorry, I have the Italian version).

Hi, Alex.
Comment 3 sophie 2014-04-24 08:34:38 UTC
ok, so this is confirmed with Web view in 4.2.4.1 Ubuntu 14.04. Set plateform to all and status to New - Sophie
Comment 4 Joel Madero 2015-05-12 17:27:18 UTC
Doing the following:

1) Setting priority correctly - this is not a major bug. At most it's a normal bug (prevents high quality work)

2) Setting to NEEDINFO - please attach a test document so that we can easily and quickly test against newer versions of LibreOffice

3) Provide reproducible steps

4) If possible test against 4.4.3 or newer;

5) If possible test against 3.3 to see if it ever worked correctly (http://downloadarchive.documentfoundation.org/libreoffice/old/)

Once you've done these things please set the bug to NEW
Comment 5 Alex 2015-05-12 18:48:13 UTC
Created attachment 115523 [details]
Images, inserted in a table cell, go out of cell borders when zoomed in

Images, inserted in a table cell, go out of cell borders when the document (and thus the table) is zoomed in (that is, when the zoom factor is incremented).

There is no option in the image property or in the cell property to deal this problem.

The bug happens only when You set "Layout Web" in the menù "Visualizza" (sorry, I have the Italian version).

Hi, Alex.
Comment 6 Joel Madero 2015-05-12 19:03:46 UTC
I suspect you didn't want to assign the bug to yourself (unless you're fixing it) so removing that.
Comment 7 Alex 2015-05-13 04:48:24 UTC
Yes I confirm, I don't want to assign the bug to myself. 
Sorry for the mistake.
Comment 8 Buovjaga 2015-05-18 09:21:26 UTC
(In reply to Alex from comment #5)
> Created attachment 115523 [details]
> Images, inserted in a table cell, go out of cell borders when zoomed in
> 
> Images, inserted in a table cell, go out of cell borders when the document
> (and thus the table) is zoomed in (that is, when the zoom factor is
> incremented).
> 
> There is no option in the image property or in the cell property to deal
> this problem.
> 
> The bug happens only when You set "Layout Web" in the menù "Visualizza"
> (sorry, I have the Italian version).

Confirmed.
I don't know, if it's related to the fact that in the Print layout we can see the images are overflowing their cells.

Win 7 Pro 64-bit, Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale: fi_FI
Comment 9 QA Administrators 2016-09-20 09:42:19 UTC Comment hidden (obsolete)
Comment 10 Roman Kuznetsov 2019-04-12 10:37:21 UTC
still repro in

Version: 6.3.0.0.alpha0+
Build ID: 7327260de3c0c627e62f7c3fddbe3d71ea88e88f
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-04-05_06:26:35
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 11 QA Administrators 2021-04-12 03:32:02 UTC
Dear Alex,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug